# RSC Preservation World Config

# Todo:
# Change port to 43594 (update game launcher, rsc+, and Android client)
# Change db_name to "preservation" and update website
# Rename openrsc.conf to preservation.conf and update build.xml
# location_data # Not done for now. This would disable the Black Hole Experience, which is something we currently would like to keep. 2021-02-15 Logg

database:
	db_name: openrsc # MODIFIED

world:
	server_name: RSC Preservation # MODIFIED
	server_name_welcome: RSC Preservation # MODIFIED
	welcome_text: Join our Discord to stay in touch! # MODIFIED
	display_logo_sprite: true # The big logo shown on the client welcome screen
	logo_sprite_id: 2010 # 2010 is authentic
	game_tick: 640 # Tick speed of game and lower is faster
	walking_tick: 640 # Base tick speed of character walking. Only used if want_custom_walking_speed is enabled
	want_custom_walking_speed: false # Do we want to enable custom walking speed?
	idle_timer: 300000 # 5 minute player idle alert
	auto_save: 30000 # 30 second autosave interval
	client_version: 8
	server_port: 43596 # MODIFIED
	max_connections_per_ip: 20 # Number of network connections allowed per IP address
	max_connections_per_second: 20 # Number of network I/O connections any specific host address can make per second
	max_packets_per_second: 50 # Number of network I/O packets any specific connection can make per second
	max_logins_per_second: 1 # Number of login attempts any specific IP address can make per second
	max_password_guesses_per_five_minutes: 10 # Number of password/recover guesses an IP address can make per 5 minutes
	network_flood_ip_ban_minutes: 5 # Number of minutes that a host address is IP Banned if network I/O packets/connections are flooded
	suspicious_player_ip_ban_minutes: 60 # Number of minutes that a host address is IP Banned if player is suspicious
	server_location: USA
	max_players: 2000
	max_players_per_ip: 10 # Number of allowed logged in players per IP address
	avatar_generator: false # Generates avatar images of players but uses extra RAM
	member_world: true
	want_pcap_logging: true # MODIFIED
	world_number: 1
	player_level_limit: 99
	want_experience_cap: false
	experience_limit: -1 # Taken into consideration only if want_experience_cap
	combat_exp_rate: 1
	skilling_exp_rate: 1
	wilderness_boost: 0
	skull_boost: 0
	double_exp: false
	npc_respawn_multiplier: 1.0 # Multiplied to NPC respawn time. 1.0 is default, anything lower will decrease respawn times.
	want_registration_limit: false # Limits player registrations to once an hour per IP
	packet_limit: 100
	connection_limit: 10
	connection_timeout: 15
	want_fatigue: true # Decides if fatigue is enabled in-game
	stop_skilling_fatigued: 1 # Decides if skilling should stop on fatigued, 0 - No skills, 1 - Gathering / authentic, 2 - All non combat skills
	aggro_range: 1 # Default tile range aggressive NPCs will attack victims
	character_creation_mode: 0 # Makes mode screens in character design screen, 1 - ironman and 1X, 2 - classes and global pk
	ring_of_recoil_limit: 40
	ring_of_forging_uses: 75
	dwarven_ring_uses: 29
	dwarven_ring_bonus: 3
	# check_admin_ip: false # Check the ip that the admin account is logging in from. Helps prohitbit unauthorized access.
	# admin_ip: 127.0.0.0,10.0.0.0,172.16.0.0,192.168.0.0 # IP/s from which the admin can connect from. Comma separated list. No spaces. Default is 127.0.0.0,10.0.0.0,172.16.0.0,192.168.0.0 . 127 is loopback (localhost) and the rest are private IP identities.
	location_data: 1 # MODIFIED
	want_fixed_broken_mechanics: true # MODIFIED
	want_decorated_mod_room: false # Decorates mod room (alkharid palace 2nd floor)
	want_auto_server_shutdown: false # causes the server to shutdown at a specified time for a cron to then start
	restart_hour: 7 # if want_auto_server_shutdown is set to true, the server will shut down at 7:00AM, local system time
	want_reset_event: false # forces all world scenery to be reset hourly

client:
	view_distance: 2
	zoom_view_toggle: true # MODIFIED
	fog_toggle: false
	ground_item_toggle: false
	menu_combat_style_toggle: false
	fightmode_selector_toggle: false
	experience_counter_toggle: false
	experience_drops_toggle: false
	items_on_death_menu: false
	show_roof_toggle: false
	want_skill_menus: false
	want_quest_menus: false
	want_quest_started_indicator: false
	want_hide_ip: true # MODIFIED
	want_remember: true # MODIFIED
	client_fps: 50 # Authentic is 50
	want_email: true # MODIFIED
	allow_resize: true # MODIFIED
	lenient_contact_details: true # MODIFIED
	char_name_can_contain_mod: false # Allow players to create characters with the word "mod" in the name

custom_features:
	custom_sprites: false # Informs client to use CustomSprites.orsc instead
	want_custom_ui: false # Allows the player to optionally use a custom UI
	want_custom_quests: false # Informs the server to load custom quests or not
	spawn_auction_npcs: false # Enables auction house
	spawn_iron_man_npcs: false # Enables iron man
	show_floating_nametags: false
	want_clans: false # Enables the clan system
	want_kill_feed: false # Informs all players when someone is killed
	side_menu_toggle: false
	inventory_count_toggle: false
	auto_message_switch_toggle: false
	hide_login_box_toggle: false
	batch_progression: false # Enables skill batching
	custom_improvements: false
	want_global_chat: false
	want_global_friend: true # MODIFIED
	global_message_cooldown: 0 # Time in milliseconds before players are allowed to send another global message
	want_experience_elixirs: false
	want_keyboard_shortcuts: 1 # MODIFIED
	want_custom_rank_display: false
	custom_firemaking: false # Allows burning of other log types
	want_drop_x: false
	want_exp_info: false
	want_woodcutting_guild: false
	want_missing_guild_greetings: false
	want_decanting: false # Allows combining potions of the same type
	player_commands: true # MODIFIED
	npc_blocking: 2 # 0 disables npc blocking; 1 is 2x+1 combat level blocks; 2 is all aggressive npcs block (authentic); 3 is all attackable npcs block
	player_blocking: 1 # 0 disables player blocking; 1 authentic 2018 RSC (players walk through players unless last point on their path); 2 players act like solid objects (2001 era RSC)
	npc_dont_retreat: false
	message_full_inventory: false # Shows message to the player if an item drops when skilling due to a full inventory
	want_pets: false # Enables following NPC pets and their capture items
	max_walking_speed: 1 # Number of spaces players can move per game tick. 1 is default
	max_ticks_until_full_walking_speed: 0 # Number of ticks before the player is allowed to walk at max speed. Implemented to allow NPCs to catch players as they always walk 1 tile per tick
	show_unidentified_herb_names: false
	fishing_spots_depletable: false # Randomly replaces fishing spots with a rock to stop batched fishing forever
	improved_item_object_names: false
	crystal_key_gives_xp: false
	looted_chests_stuck: false
	want_runecraft: false # Enables Runecraft skill
	want_harvesting: false # Enables harvesting skill
	want_custom_leather: false # Enables custom leather crafting
	custom_landscape: false # Allows the custom landscape to load instead
	want_equipment_tab: false # Adds an equipment tab to the interface
	want_bank_presets: false # Adds two presets to the bank interface
	mining_rocks_extended: false # Allows batching friendly mining
	want_new_rare_drop_tables: false # Enables the new drop table system
	want_leftclick_webs: false # Enables left-clicking webs to cut through them
	want_improved_pathfinding: false # Enables the ASTAR pathing algorithm for chasing NPCs
	can_use_cracker_on_self: false # Allows players to use Christmas Crackers / Trick or treat crackers / Presents on characters with the same IP address
	fix_overhead_chat: false
	want_better_jewelry_crafting: false # Will only show options when you have multiple moulds or gems in your inventory. Otherwise will make the item you have the mould for.
	more_shafts_per_better_log: false # Better logs give more arrow shafts while fletching.
	faster_yohnus: false # Yohnus will ask if he can take gp from your bank so you don't have to talk to him every time.
	want_chain_legs: false
	want_apothecary_qol: false # Apothecary will empty potions and fill vials with water for a price.
	want_ranged_face_player: false # Player will face target when ranging if set to true; authentic is always face NW
	want_poison_npcs: false # NPC's can be poisoned by poison weapons, arrows, bolts, and throwables.

parties:
    want_parties: false # Enables the party system
	party_additional_xp_percent_per_player: 0.06 # How much additional XP to award for larger parties
	party_distance_percent_decrease: 0.07 # How much less XP should be awarded based on distance from skiller
	party_save_xp_for_skiller_percent: 0.4 # How much xp to save for the skiller
	party_share_max_x: 20 # Maximum x distance for sharing XP
	party_share_max_y: 20 # Maximum y distance for sharing XP
	party_share_infinite_range: false # Allow XP sharing to have infinite range
	party_share_with_same_ip: false # Allow accounts on the same IP to share XP.
	party_share_size_algorithm: linear # Algorithm used for determining additional XP to be given to larger parties.
	party_share_distance_algorithm: exponential # Algorithm used for determining the XP dropoff based on distance from party member. (exponential or linear)
	party_max_size_for_additional_xp: 5 # How many party members should count for adding additional XP when sharing.
	party_iron_man_can_share: false # Should iron man give/receive shared XP?

discord:
	want_discord_auction_updates: false # Should a discord webhook be called for auction house changes?
	want_discord_monitoring_updates: false # Should a discord webhook be called for performance monitoring?
	want_discord_bot: false # Utilize a Discord chat bot integration?
	cross_chat_channel: 0 # Channel used in Discord for in-game to Discord cross chat

bank:
	right_click_bank: false
	want_custom_banks: false
	want_bank_pins: true # MODIFIED
	want_bank_notes: false
	want_cert_deposit: false # Allows depositing certed items directly into the bank
	want_certer_bank_exchange: false
	want_cert_as_notes: false # Instead of having certs for any tradeable, display as note

shop:
	right_click_trade: false

npc_kills:
	npc_kill_list: false
	npc_kill_messages: false # Displays kill count of npc to player when killing an npc
	npc_kill_messages_filter: false # Only display kill messages for npcs in npc_kill_messages_npcs
	npc_kill_messages_npcs: King Black Dragon,Black Dragon # Comma separated list without spaces
	npc_kill_logging: true

valuable_drops:
	valuable_drop_messages: false # Alerts player of rare drop
	valuable_drop_ratio: 0
	valuable_drop_extras: false
	valuable_drop_items: Half of a key,Half Dragon Square Shield # Comma separated list without spaces

glitch_checks:
	strict_check_all: false # Makes all checks strict
	strict_pdart_check: false # Makes the poisoned throwing dart requirement strict
	strict_pknife_check: false # Makes the poisoned throwing knife requirement strict
	strict_pspear_check: false # Makes the poisoned spear requirement strict
	loose_shallow_water_check: false # Simplifies part of Legends Quest

custom_quest_and_minigame:
	want_gianne_badge: true # MODIFIED
	want_blurberry_badge: true # MODIFIED
	want_extended_cats_behavior: false # Makes it possible to stroke cat and show kittens from quest to civillian
	want_barter_wormbrains: false
	locked_post_quest_regions_accessible: false # Makes regions that become locked after quest freely accessible
	can_retrieve_post_quest_items: false # Makes it possible to regain quest items post quest
